=== debian/changelog ===
ros-kinetic-cht10-node (0.0.1-1xenial) xenial; urgency=high

  * Catkinized
  * Contributor: Carl

 -- Carl <1271087623@qq.comd>  Mon, 20 Nov 2017 08:00:00 -0000
