=== debian/control ===
Source: ros-kinetic-cht10-node
Section: misc
Priority: extra
Maintainer: Carl <1271087623@qq.comd>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-threads, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: http://ros.org/wiki/cht10_node
Standards-Version: 3.9.2

Package: ros-kinetic-cht10-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-threads, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: The dumpbot_serial_func package for getting data of dumpbot from MCU
